# Uses of Class
org.jboss.logging.processor.validation.StringFormatValidator

Packages that use StringFormatValidator
Package
Description
org.jboss.logging.processor.validation

## Uses of StringFormatValidator in org.jboss.logging.processor.validation

Methods in org.jboss.logging.processor.validation that return StringFormatValidator
Modifier and Type
Method
Description
`static StringFormatValidator`
StringFormatValidator.`of(String format)`
Creates a string format.
`static StringFormatValidator`
StringFormatValidator.`of(String format, Object... parameters)`
Creates a string format.
`static StringFormatValidator`
StringFormatValidator.`withTranslation(String format, String translationFormat)`
Creates a string format.